=== modified file 'NEWS'
--- NEWS	2008-04-25 21:38:41 +0000
+++ NEWS	2008-05-04 20:23:56 +0000
@@ -1,3 +1,17 @@
+0.95.0	UNRELEASED
+
+
+0.94.0    2008-05-04
+
+ CHANGES
+
+  * Disabled signature tab until we start verifying testaments. 
+    (Jelmer Vernooij)
+
+ BUG FIXES
+
+  * Fix display of children in branchview. (Jelmer Vernooij, #224914)
+
 0.94.0rc1  2008-04-25
 
  CHANGES
@@ -6,8 +20,6 @@
 
   * Use new D-Bus revision signal. (James Henstridge, #206443)
 
-  * Switched to using Seahorse to verify signatures. (Daniel Schierbeck)
-
  UI
 
   * Made the tags associated with a revision render next to the revision
@@ -51,11 +63,13 @@
  
   * Only check for old Bazaar versions that are known to be incompatible and 
     no longer warn about newer (unknown) versions of Bazaar, on the assumption
-	the API is sufficiently stable now. (Jelmer Vernooij)
+    the API is sufficiently stable now. (Jelmer Vernooij)
 
   * Support child_submit_to setting in gsend. (Jelmer Vernooij)
 
-  * Add tab if revision view showing the signature status. (Daniel Schierbeck, Jelmer Vernooij)
+  * Add tab to revision view showing the signature status. (Daniel Schierbeck, Jelmer Vernooij)
+
+  * Use seahorse to verify signatures. (Daniel Schierbeck)
 
  INTERNALS
 
@@ -87,7 +101,7 @@
  
   * Fixed logview bug in gannotate. (Daniel Schierbeck)
 
-0.92.0	2007-11-07
+0.92.0    2007-11-07
 
  UI
 
@@ -140,7 +154,7 @@
 
   * Avoid deprecation warning for all_plugins() in gpreferences. (Jelmer)
 
-0.91.0	2007-09-24
+0.91.0    2007-09-24
 
  UI
 
@@ -179,7 +193,7 @@
   * Added default_branch_path to MergeDialog and use it from olive-gtk.
     (Mateusz Korniak)
 
-0.90.0	2007-08-27
+0.90.0    2007-08-27
 
  FEATURES
 
@@ -280,7 +294,7 @@
 
   * Fixed 'bzr gcommit' if command not issued in a branch (#113394, Szilveszter)
 
-0.16.0	2007-05-05
+0.16.0    2007-05-05
 
  FEATURES
  
@@ -308,7 +322,7 @@
   
   * Recommend installation as 'gtk' not 'bzr-gtk'. (#104110, Szilveszter)
 
-0.15.2	2007-04-03
+0.15.2    2007-04-03
 
  BUG FIXES
 
@@ -325,7 +339,7 @@
 
   * Display remote locations in commit-notify (Robert)
 
-0.15.1	2007-03-25
+0.15.1    2007-03-25
 
  BUG FIXES
  
@@ -363,7 +377,7 @@
 
   * Strict commits are now a dialog, not a check box (Jelmer)
 
-0.15.0	2007-03-09
+0.15.0    2007-03-09
 
 BUG FIXES
 
@@ -407,14 +421,14 @@
 
   * Add initial testsuite (Jelmer)
 
-0.14.0	2007-01-30
+0.14.0    2007-01-30
 
   * Add revert functionality (Szilvester)
 
   * Rewritten CommitDialog without glade (Szilvester)
 
   * Allow to commit single files from the context menu (Fixes #54983,
-													   Szilvester)
+                                                       Szilvester)
 
   * Warn about incompatible Bazaar versions (Jelmer)
 
@@ -427,7 +441,7 @@
   * Set default drive letter (#67924, Szilvester)
 
   * Show error if no diff available for the selected file (#76536,
-														  Szilvester)
+                                                          Szilvester)
 
   * Handle current revision in annotate better (Aaron)
 
@@ -455,7 +469,7 @@
 
   * Several other small regression fixes (Szilvester)
 
-0.13.0	2006-12-13
+0.13.0    2006-12-13
 
   * Don't show pending merge list when there are no pending merges
     (Alexander Belchenko)
@@ -478,7 +492,7 @@
 
   * Use dotted revnos in gannotate (Aaron Bentley)
 
-0.12.0	2006-11-04
+0.12.0    2006-11-04
 
   * #68127: gcommit is broken
 

=== modified file '__init__.py'
--- __init__.py	2008-05-05 18:16:46 +0000
+++ __init__.py	2008-05-05 18:18:08 +0000
@@ -37,7 +37,7 @@
 
 import bzrlib
 
-version_info = (0, 94, 0, 'rc', 1)
+version_info = (0, 95, 0, 'dev', 1)
 
 if version_info[3] == 'final':
     version_string = '%d.%d.%d' % version_info[:3]
@@ -317,7 +317,7 @@
         else:
             revision_id = getattr(tree, 'get_revision_id', lambda: None)()
 
-        window = GAnnotateWindow(all, plain)
+        window = GAnnotateWindow(all, plain, branch=br)
         window.connect("destroy", lambda w: gtk.main_quit())
         config = GAnnotateConfig(window)
         window.show()

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2008-04-24 15:26:14 +0000
+++ annotate/gannotate.py	2008-04-29 08:17:01 +0000
@@ -45,9 +45,10 @@
 class GAnnotateWindow(Window):
     """Annotate window."""
 
-    def __init__(self, all=False, plain=False, parent=None):
+    def __init__(self, all=False, plain=False, parent=None, branch=None):
         self.all = all
         self.plain = plain
+        self._branch = branch
         
         Window.__init__(self, parent)
         
@@ -320,7 +321,7 @@
         return tv
 
     def _create_log_view(self):
-        lv = RevisionView()
+        lv = RevisionView(self._branch)
         lv.show()
         return lv
 

=== modified file 'branchview/graphcell.py'
--- branchview/graphcell.py	2008-01-22 22:58:29 +0000
+++ branchview/graphcell.py	2008-04-02 23:21:11 +0000
@@ -149,19 +149,18 @@
         box_size = self.box_size(widget)
 
         ctx.set_line_width(box_size / 8)
-        ctx.set_line_cap(cairo.LINE_CAP_ROUND)
 
         # Draw lines into the cell
         for start, end, colour in self.in_lines:
             self.render_line (ctx, cell_area, box_size,
                          bg_area.y, bg_area.height,
-                         start, end, colour)
+                         start, end, colour, flags)
 
         # Draw lines out of the cell
         for start, end, colour in self.out_lines:
             self.render_line (ctx, cell_area, box_size,
                          bg_area.y + bg_area.height, bg_area.height,
-                         start, end, colour)
+                         start, end, colour, flags)
 
         # Draw the revision node in the right column
         (column, colour) = self.node
@@ -169,6 +168,12 @@
                 cell_area.y + cell_area.height / 2,
                 box_size / 4, 0, 2 * math.pi)
 
+        if flags & gtk.CELL_RENDERER_SELECTED:
+            ctx.set_source_rgb(1.0, 1.0, 1.0)
+            ctx.set_line_width(box_size / 4)
+            ctx.stroke_preserve()
+            ctx.set_line_width(box_size / 8)
+
         self.set_colour(ctx, colour, 0.0, 0.5)
         ctx.stroke_preserve()
 
@@ -177,8 +182,9 @@
 
         self.render_tags(ctx, widget.create_pango_context(), cell_area, box_size)
     
-    def render_line(self, ctx, cell_area, box_size, mid, height, start, end, colour):
+    def render_line(self, ctx, cell_area, box_size, mid, height, start, end, colour, flags):
         if start is None:
+            ctx.set_line_cap(cairo.LINE_CAP_ROUND)
             x = cell_area.x + box_size * end + box_size / 2
             ctx.move_to(x, mid + height / 3)
             ctx.line_to(x, mid + height / 3)
@@ -186,29 +192,39 @@
             ctx.line_to(x, mid + height / 6)
             
         elif end is None:
+            ctx.set_line_cap(cairo.LINE_CAP_ROUND)
             x = cell_area.x + box_size * start + box_size / 2
             ctx.move_to(x, mid - height / 3)
             ctx.line_to(x, mid - height / 3)
             ctx.move_to(x, mid - height / 6)
             ctx.line_to(x, mid - height / 6)
+
         else:
+            ctx.set_line_cap(cairo.LINE_CAP_BUTT)
             startx = cell_area.x + box_size * start + box_size / 2
             endx = cell_area.x + box_size * end + box_size / 2
             
             ctx.move_to(startx, mid - height / 2)
             
             if start - end == 0 :
-                ctx.line_to(endx, mid + height / 2)
+                ctx.line_to(endx, mid + height / 2 + 1)
             else:
                 ctx.curve_to(startx, mid - height / 5,
                              startx, mid - height / 5,
                              startx + (endx - startx) / 2, mid)
-                
+
                 ctx.curve_to(endx, mid + height / 5,
                              endx, mid + height / 5 ,
-                             endx, mid + height / 2)
-                
+                             endx, mid + height / 2 + 1)
+
+        if flags & gtk.CELL_RENDERER_SELECTED:
+            ctx.set_source_rgb(1.0, 1.0, 1.0)
+            ctx.set_line_width(box_size / 5)
+            ctx.stroke_preserve()
+            ctx.set_line_width(box_size / 8)
+
         self.set_colour(ctx, colour, 0.0, 0.65)
+
         ctx.stroke()
 
     def render_tags(self, ctx, pango_ctx, cell_area, box_size):

=== modified file 'branchview/linegraph.py'
--- branchview/linegraph.py	2008-04-28 22:24:06 +0000
+++ branchview/linegraph.py	2008-05-04 18:16:01 +0000
@@ -57,7 +57,7 @@
             graph_parents[revid] = parent_revids
         for parent in parent_revids:
             graph_children.setdefault(parent, []).append(revid)
-        graph_children[revid] = []
+        graph_children.setdefault(revid, [])
     for ghost in ghosts:
         for ghost_child in graph_children[ghost]:
             graph_parents[ghost_child] = [p for p in graph_parents[ghost_child]

=== modified file 'bzr-handle-patch.desktop'
--- bzr-handle-patch.desktop	2008-04-02 18:21:29 +0000
+++ bzr-handle-patch.desktop	2008-05-01 13:00:15 +0000
@@ -6,5 +6,5 @@
 NoDisplay=true
 Terminal=false
 Type=Application
-Categories=
+Categories=Application;Development;RevisionControl;
 MimeType=text/x-diff;text/x-patch;application/x-bazaar-merge-directive;

=== modified file 'bzr-notify.desktop'
--- bzr-notify.desktop	2007-07-15 15:13:34 +0000
+++ bzr-notify.desktop	2008-05-01 13:00:15 +0000
@@ -7,5 +7,5 @@
 Comment=Notification Area Icon for Bazaar
 Icon=bzr-icon-64.png
 Exec=bzr commit-notify
-Categories=Application;Development;
+Categories=Application;Development;RevisionControl;
 Terminal=false

=== modified file 'olive-gtk.desktop'
--- olive-gtk.desktop	2007-09-02 15:26:42 +0000
+++ olive-gtk.desktop	2008-05-01 13:00:15 +0000
@@ -9,4 +9,4 @@
 Comment[pl]=Graficzny interfejs dla systemu kontroli wersji Bazaar
 Icon=olive-gtk.png
 Exec=olive-gtk
-Categories=Application;Development;Qt;KDE;RevisionControl;
+Categories=Application;Development;RevisionControl;

=== modified file 'olive/menu.py'
--- olive/menu.py	2008-05-05 18:16:46 +0000
+++ olive/menu.py	2008-05-05 18:18:08 +0000
@@ -37,7 +37,7 @@
 from bzrlib.plugins.gtk.annotate.config import GAnnotateConfig
 from bzrlib.plugins.gtk.diff import DiffWindow
 from launch import launch
-from olive import Preferences
+from bzrlib.plugins.gtk.olive import Preferences
 
 class OliveMenu:
     """ This class is responsible for building the context menus. """

=== modified file 'revisionview.py'
--- revisionview.py	2008-04-25 20:35:54 +0000
+++ revisionview.py	2008-05-04 18:28:46 +0000
@@ -317,8 +317,9 @@
 
         self._create_general()
         self._create_relations()
-        if has_seahorse:
-            self._create_signature()
+        # Disabled because testaments aren't verified yet:
+        # if has_seahorse:
+        #    self._create_signature()
         self._create_file_info_view()
         self._create_bugs()
 

=== modified file 'seahorse.py'
--- seahorse.py	2008-04-03 20:30:15 +0000
+++ seahorse.py	2008-05-01 21:49:50 +0000
@@ -31,6 +31,10 @@
 try:
     dbus.validate_bus_name(BUS_NAME)
 except ValueError:
+    # Seahorse isn't installed
+    raise ImportError
+except AttributeError:
+    # Outdated version of DBus that doesn't have validate_bus_name
     raise ImportError
 
 bus = dbus.SessionBus()

=== modified file 'setup.py'
--- setup.py	2008-04-25 21:38:41 +0000
+++ setup.py	2008-05-04 20:23:56 +0000
@@ -91,11 +91,11 @@
 
 setup(
     name = "bzr-gtk",
-    version = "0.94.0rc1",
+    version = "0.95.0",
     maintainer = "Jelmer Vernooij",
     maintainer_email = "jelmer@samba.org",
     description = "GTK+ Frontends for various Bazaar commands",
-    license = "GNU GPL v2",
+    license = "GNU GPL v2 or later",
     scripts=['olive-gtk'],
     package_dir = {
         "bzrlib.plugins.gtk": ".",
@@ -104,6 +104,7 @@
         "bzrlib.plugins.gtk.olive": "olive",
         "bzrlib.plugins.gtk.tests": "tests",
         "bzrlib.plugins.gtk.branchview": "branchview",
+        "bzrlib.plugins.gtk.preferences": "preferences",
         },
     packages = [
         "bzrlib.plugins.gtk",
@@ -112,6 +113,7 @@
         "bzrlib.plugins.gtk.olive",
         "bzrlib.plugins.gtk.tests",
         "bzrlib.plugins.gtk.branchview",
+        "bzrlib.plugins.gtk.preferences",
         ],
     data_files=[('share/olive', ['olive.glade',
                                  'cmenu.ui',

=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2007-11-02 22:08:54 +0000
+++ tests/test_commit.py	2008-05-04 13:11:26 +0000
@@ -411,22 +411,22 @@
         text = diff_buffer.get_text(diff_buffer.get_start_iter(),
                                     diff_buffer.get_end_iter()).splitlines(True)
 
-        self.assertEqual("=== removed file 'b'\n", text[0])
+        self.assertEqual("=== modified file 'a'\n", text[0])
         self.assertContainsRe(text[1],
-            r"--- b\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
-        self.assertEqual('+++ b\t1970-01-01 00:00:00 +0000\n', text[2])
-        self.assertEqual('@@ -1,1 +0,0 @@\n', text[3])
-        self.assertEqual('-contents of tree/b\n', text[4])
-        self.assertEqual('\n', text[5])
-
-        self.assertEqual("=== modified file 'a'\n", text[6])
-        self.assertContainsRe(text[7],
             r"--- a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
+        self.assertContainsRe(text[2],
+            r"\+\+\+ a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
+        self.assertEqual('@@ -1,1 +1,1 @@\n', text[3])
+        self.assertEqual('-contents of tree/a\n', text[4])
+        self.assertEqual('+new contents for a\n', text[5])
+        self.assertEqual('\n', text[6])
+
+        self.assertEqual("=== removed file 'b'\n", text[7])
         self.assertContainsRe(text[8],
-            r"\+\+\+ a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
-        self.assertEqual('@@ -1,1 +1,1 @@\n', text[9])
-        self.assertEqual('-contents of tree/a\n', text[10])
-        self.assertEqual('+new contents for a\n', text[11])
+            r"--- b\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
+        self.assertEqual('+++ b\t1970-01-01 00:00:00 +0000\n', text[9])
+        self.assertEqual('@@ -1,1 +0,0 @@\n', text[10])
+        self.assertEqual('-contents of tree/b\n', text[11])
         self.assertEqual('\n', text[12])
 
         self.assertEqual('Diff for All Files', dlg._diff_label.get_text())

